# Enum Class KllSketch.SketchType

java.lang.Object
java.lang.Enum<KllSketch.SketchType>
org.apache.datasketches.kll.KllSketch.SketchType

All Implemented Interfaces:
  `Serializable, Comparable<KllSketch.SketchType>, Constable`

Enclosing class:
  `KllSketch`

public static enum KllSketch.SketchType extends Enum<KllSketch.SketchType>
Used to define the variable type of the current instance of this class.

Author:
  Lee Rhodes, Kevin Lang, Alexander Saydakov

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`KLL_DOUBLES_SKETCH`
KllDoublesSketch
`KLL_FLOATS_SKETCH`
KllFloatsSketch
`KLL_ITEMS_SKETCH`
KllItemsSketch
`KLL_LONGS_SKETCH`
KllDoublesSketch

## Method Summary

Modifier and Type
Method
Description
`int`
`getBytes()`
Gets the item size in bytes.
`String`
`getName()`
Get the name of the associated sketch
`static KllSketch.SketchType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KllSketch.SketchType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### KLL_DOUBLES_SKETCH

public static final KllSketch.SketchType KLL_DOUBLES_SKETCH
KllDoublesSketch

### KLL_FLOATS_SKETCH

public static final KllSketch.SketchType KLL_FLOATS_SKETCH
KllFloatsSketch

### KLL_ITEMS_SKETCH

public static final KllSketch.SketchType KLL_ITEMS_SKETCH
KllItemsSketch

### KLL_LONGS_SKETCH

public static final KllSketch.SketchType KLL_LONGS_SKETCH
KllDoublesSketch

## Method Details

### values

public static KllSketch.SketchType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KllSketch.SketchType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBytes

public int getBytes()
Gets the item size in bytes. If the item is generic, this returns zero.

Returns:
  the item size in bytes

### getName

public String getName()
Get the name of the associated sketch

Returns:
  the name of the associated sketch